package com.kingdee.eas.custom.compensation.push_bill;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PayrollDistributionSlipCollection extends AbstractObjectCollection 
{
    public PayrollDistributionSlipCollection()
    {
        super(PayrollDistributionSlipInfo.class);
    }
    public boolean add(PayrollDistributionSlipInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PayrollDistributionSlipCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PayrollDistributionSlipInfo item)
    {
        return removeObject(item);
    }
    public PayrollDistributionSlipInfo get(int index)
    {
        return(PayrollDistributionSlipInfo)getObject(index);
    }
    public PayrollDistributionSlipInfo get(Object key)
    {
        return(PayrollDistributionSlipInfo)getObject(key);
    }
    public void set(int index, PayrollDistributionSlipInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PayrollDistributionSlipInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PayrollDistributionSlipInfo item)
    {
        return super.indexOf(item);
    }
}